<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
			   xmlns:s="library://ns.adobe.com/flex/spark" 
			   xmlns:mx="library://ns.adobe.com/flex/mx" width="520" height="100" title="Relatorio Totais de Crediario por Vendedor" close="titlewindow1_closeHandler(event)" xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*" xmlns:visual="br.com.desenv.framework.component.visual.*">
	<fx:Style source="../../../framework/util/estilo.css"/>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import flash.net.URLRequest;
			import flash.net.URLVariables;
			
			import mx.events.CloseEvent;
			import mx.managers.PopUpManager;
			
			import br.com.desenv.framework.util.IgnReportUtil;
			import br.com.desenv.nepalign.vo.Vendedor;
			
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function btnImprimir_clickHandler(event:MouseEvent):void
			{
				
				var classe:String  = "br.com.desenv.nepalign.relatorios.RelatorioDuplicata"
				var acaoMethod:String = "gerarRelatorioTotaisCrediarioPorVendedor";
				var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO")); 
				var param:URLVariables = new URLVariables(); 			  
				param.classe = classe;
				param.acao = acaoMethod;
				if(ignAutoCompleteVendedor.itemSelecionado!=null)
				{
					var ven:Vendedor = ignAutoCompleteVendedor.itemSelecionado as Vendedor;
					param.idVendedor = 	ven.id
				}
				
				if(this.Empresa.recuperarEmpresaFisicaSelecionada!= null)
				{
					param.idEmpresaFisica = this.Empresa.recuperarEmpresaFisicaSelecionada.id;
				}
				
				if(ignTextInputDateDataFinal.text !="")
				{
					param.dataFinal = ignTextInputDateDataFinal.text;
				}
				if(ignTextInputDateDataInicial.text != "" )
				{
					param.dataInicial = ignTextInputDateDataInicial.text;
				}

				//urlReq.data = param;
				// //usando método POST  
				//navigateToURL(urlReq, "_blank"); //chama Servlet em uma nova página 
				new IgnReportUtil().gerarRelatorioSeguranca(null, "_blank", param);
			}
			protected function buttonPesquisarVendedor_clickHandler(event:MouseEvent):void
			{
				var vendedorComponentePesquisa: VendedorComponentePesquisa = new VendedorComponentePesquisa();
				
				vendedorComponentePesquisa.addEventListener("VendedorSelecionadoEvent", atualizarVendedorPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(vendedorComponentePesquisa, this, true);
				PopUpManager.centerPopUp(vendedorComponentePesquisa);
			}
			
			private function atualizarVendedorPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoVendedor: Vendedor = e.result as Vendedor;
				ignAutoCompleteVendedor.itemSelecionado = novoVendedor;
				
				
			}	
			protected function buttonAdicionarVendedor_clickHandler(event:MouseEvent):void
			{
				var vendedorComponenteCadastro: VendedorComponenteCadastro = new VendedorComponenteCadastro();
				vendedorComponenteCadastro.addEventListener("VendedorIncluidoEvent", atualizarVendedorPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(vendedorComponenteCadastro, this, true);
				PopUpManager.centerPopUp(vendedorComponenteCadastro);
			}
			private function atualizarVendedorPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoVendedor: Vendedor = e.result as Vendedor;
				ignAutoCompleteVendedor.itemSelecionado = novoVendedor;
				
			}
		]]>
	</fx:Script>
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
	<mx:Grid x="5" y="5">
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label  text="Vendedor:" visible="true"/>
			</mx:GridItem>
			<mx:GridItem  styleName="gridValor" visible="true">
				<s:VGroup>
					
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="nome" id="ignAutoCompleteVendedor" mostrarCodigoConcatenado="false" enviarArgumentos="true" buscarTambemPorChave="false" destino="vendedorService" funcaoChamada="listarPorObjetoFiltroNumerico" lenStartConsulta="1"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Vendedor" tabEnabled="true"   width="150" /> 
						<s:Button id="buttonPesquisarVendedor" width="30" label="..." click="buttonPesquisarVendedor_clickHandler(event)"/>
						<s:Button id="buttonAdicionarVendedor" width="30" label="+" click="buttonAdicionarVendedor_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label  text="Empresa:" visible="true"/>
			</mx:GridItem>
			<mx:GridItem>
				<visual:DsvPerfilEmpresa id="Empresa" tipoPesquisa="{DsvPerfilEmpresa.LISTAR_APENAS_LOJAS}"  />
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
	<mx:Grid x="5" y="5">
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data Inicial:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoData" styleName="labelValidacao" text="{ignTextInputDateDataInicial.errorString}"/>
					<visual:IgnTextInputDate id="ignTextInputDateDataInicial" obrigatorio="false" />
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem>
				<s:Spacer  width="55"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data Final:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoDataFinal"  styleName="labelValidacao" text="{ignTextInputDateDataFinal.errorString}"/>
					<visual:IgnTextInputDate id="ignTextInputDateDataFinal" obrigatorio="false" />
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem>
				<s:Spacer  width="31"/>
			</mx:GridItem>
			<mx:GridItem>
				<mx:VBox>
					<s:Spacer  height="23"/>					
					<s:Button id="btnImprimir" label="Imprimir" click="btnImprimir_clickHandler(event)" />
				</mx:VBox>
				
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>